Subject: Re: qgit segfaults after b237b00

From: Andreas Ericsson <[email-masked]>
Date: Wed, 13 Sep 2006 10:45:30 +0200

Marco Costalba wrote:
> Hi Andreas,
> 
> On 9/12/06, Andreas Ericsson <[email-masked]> wrote:
>> What subject says, really. Tried cold cache, hot cache, with and without
>> qgit.dat, 3 different repos and 14 different repo-tips. Same result
>> every time. A segfault before anything is drawn.
>>
> 
> Sorry but I am not able to reproduce the bug here. Also from the trace I 
> see
> that the segfault happens in a part of code that has not been touched
> by b237b00.
> And that _should_  not segfault in any way.
> 
> The code there is the same of qgit-1.5.1 so perhaps could be some
> platform related issue,

Probably, yes. Some more digging indicates it comes from trying to fetch 
the system default-font and setting it as the default application-font.

> please write me Qt and gcc versions and processor used and, in case,
> do a complete rebuild with also reconfiguration (autoreconf -i).
> 

Naturally. Forgot it in the first mail *blush*. Mainly running Fedora 
Core 5, except for the kernel which I compile myself.

nox!exon:~/git/qgit$ gcc --version
gcc (GCC) 4.1.1 20060525 (Red Hat 4.1.1-1)
Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

nox!exon:~/git/qgit$ rpm -q qt
qt-3.3.6-0.4.fc5
nox!exon:~/git/qgit$ uname -a
Linux nox.op5.se 2.6.18-rc6 #1 Wed Sep 6 15:41:35 CEST 2006 i686 i686 
i386 GNU/Linux
nox!exon:~/git/qgit$

Rebuilding with full autoreconf -i does indeed seem to solve the 
problem. I'm guessing some yum update changed the qt-version and the 
configure.cache kept the old settings so that it wasn't checked.

Sorry for the noise.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231